﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Flex</title>
	<style>
	main{
		width:1200px;
		margin:0 auto;
	}
	header{
		background-color:#AE5700;
		color:white;
		font-size:xx-large;
		height:80px;
		line-height:80px;
		padding-left:12px;
	}
	div.medio{
		display:flex;
		flex-direction:row;
	}
	div.lateral{
		display:flex;
		flex-direction:column;
		flex:1 1 25%;
		background-color:#482424;
		padding:7px;
	}
	h4{
		color:#CC6600;
		margin:2px;
	}
	p.row1{
		color:#CC9900;
		border:1px solid #CC9900;
		margin:5px 5px 0 5px;
		padding:5px 5px 5px 7px;
	}
	p.row1 span{
		color:#CC6600;
	}
	div.central{
		display:flex;
		flex-direction:column;
		flex:3 1 50%;
		background-color:#996633;
	}
	div.centrosuperior{
		color:#CC9900;
		flex:1 1 25%;
		margin:5px 5px 10px 5px;
		padding:5px 5px 5px 7px;
	}
	div.escaparate{
		display:flex;
		flex:2 1 60%;
		flex-direction:row;
		color:white;
		flex-wrap:wrap;
		margin:5px 5px 10px 5px;
		padding:5px 5px 5px 7px;
	}
	span.titulo{
		color:#CC6600;
	}
	span.textocorto{
		color:#CC9900;
		font-size:small;
	}
	.lostres{
		display:flex;
		flex-direction:row;
	}
	.losdos{
		display:flex;
		flex-direction:row;
	}
	div.row3{
		color:white;
		border:1px solid #CC9900;
		flex:1 1 50%;
		margin:5px 5px 0 5px;
		padding:5px 5px 5px 7px;

	}
	div.row2{
		color:white;
		border:1px solid #CC9900;
		flex:1 1 50%;
		margin:5px 5px 0 5px;
		padding:5px 5px 5px 7px;
	}
	div.algomas{
		color:#CC9900;
		flex:1 1 20%;
		margin:5px 5px 0 5px;
		padding:1px 5px 5px 7px;
	}
	div.nav{
		display:flex;
		flex-direction:column;
		flex:1 1 25%;
		background-color:#482424;
		color:#CC9900;
		padding:7px;
	}
	div.nav a{
		color:#CC9900;
		border:1px solid #CC9900;
		margin:5px;
		padding:5px 5px 5px 7px;
	}
	footer{
		background-color:#AE5700;
		color:white;
		height:40px;
		padding:20px 0 5px 8px;
		font-size:large;
	}
	footer a{
		color:white;
	}
	
	</style>
</head>

<body>
	<main>
		<header>
			<h2>#encabezado</h2>
		</header>
		
		<div class="medio">
		
			<div class="lateral">
				<h4>#LATERAL</h4>
				<p class="row1"><span>.ROW-1</span><br/>
					En el arroyo grande que la lluvia había dilatado hasta la viña.</p>
				<p class="row1"><span>.ROW-1</span><br/>
					Así no tendrán en su memoria la tristeza de mis maldades.</p>
				<p class="row1"><span>.ROW-1</span><br/>
					Sólo los espejos de azabache de sus ojos son duros cual dos escarabajos de cristal negro.</p>
				<p class="row1"><span>.ROW-1</span><br/>
					Con su llorosa alegría, me ofreció dos escogidas naranjas finas.</p>
			</div>
			
			<div class="central">
				<div class="centrosuperior">
					<h4>#CENTRAL</h4>
					<p>En el arrojo grande que la lluvia había dilatado hasta la viña, nos encontramos, 
						atascada, una vieja carretilla, perdida toda bajo su carga de hierba y de naranjas. Así 
						no tendrán en su memoria la tristeza de mis maldades, de mis cinismos, de mis 
						impertinencias. Cuando paso sobre él, los domingos, por las últimas callejas del pueblo,
						los hombres del campo, vestidos de limpio y despaciosos, se quedan mirándolo: -Tien 'asero. Con
						su llorosa alegría, me ofreció dos escogidas naranjas, finas, pesadas, redondas.</p>
				</div>
				
				<div class="escaparate">
					<div><span class="titulo">#ESCAPARATE</span>
					<span class="textocorto">(.FLEX-CONTAINER .JUSTIFY-SPACE-BETWEEN .WRAP .ROW)</span></div>
					
					<div class="lostres">
						<div class="row3">.ROW-3<br/>En el arroyo grande que la lluvia había dilatado hasta la viña.</div>
						<div class="row3">.ROW-3<br/>Así no tendrán en su memoria la tristeza de mis maldades.</div>
						<div class="row3">.ROW-3<br/>Sólo los espejos de azabache de sus ojos son duros cual dos escarabajos
							de cristal negro.</div>
					</div>
					<div class="losdos">
						<div class="row2">.ROW-2<br/>Sólo los espejos de azabache de sus ojos son duros cual dos escarabajos
							de cristal negro.</div>
						<div class="row2">.ROW-2<br/>Con su llorosa alegría, me ofreció dos escogidas naranjas finas.</div>
					</div>
				</div>
				
				<div class="algomas">
					<h4>ALGO MÁS</h4>
					<p>Ojalá pensaran del mismo modo que yo pienso. Pero no; será mejor que no piensen. Lo llamo
						dulcemente: ¿Platero? y viene a mí con un trotecillo alegre que parece que se ríe en no sé 
						qué cascabeleo ideal. Acero y plata de luna, al mismo tiempo. Sólo los espejos de azabache 
						de sus ojos son duros cual dos escarabajos de cristal negro. Le gustan las naranjas 
						mandarinas, las uvas moscateles, todas de ámbar; los higos morados, con su cristalina gotita 
						de miel. Con su llorosa alegría, me ofreció dos escogidas naranjas, finas, pesadas, redondas.</p>
				</div>
			</div>
			
			<div class="nav">
				<h4>#NAV</h4>
				<a href="#">Cajas flexibles</a>
				<a href="#">flex-direction</a>
				<a href="#">flex-wrap</a>
				<a href="#">align-items</a>
				<a href="#">justify-content</a>
				<a href="#">align-content</a>
				<a href="#">align-self</a>
				<a href="#">la propiedad flex</a>
				<a href="#">la propiedad order</a>
			</div>
		</div>
		
		<footer>
			<span>#pie</span>&nbsp; &nbsp; &nbsp;
			<span><a href="#"/>can i use flexbox?</span>
		</footer>
	</main>
</body>

</html>
